Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServerC.h File Reference

`#include "ace/pre.h"`
`#include "portableserver_export.h"`
`#include "tao/corbafwd.h"`
`#include "tao/CurrentC.h"`
`#include "tao/PolicyC.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any.h"`
`#include "ace/post.h"`

Include dependency graph for PortableServerC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_POA___PTR_CH_
#define | _PORTABLESERVER_POA___VAR_CH_
#define | _PORTABLESERVER_POA___OUT_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CH_
#define | _PORTABLESERVER_POALIST_CH_
#define | _PORTABLESERVER_POALIST___VAR_CH_
#define | _PORTABLESERVER_POALIST___OUT_CH_
#define | _PORTABLESERVER_OBJECTID_CH_
#define | _PORTABLESERVER_OBJECTID___VAR_CH_
#define | _PORTABLESERVER_OBJECTID___OUT_CH_
#define | _PORTABLESERVER_FORWARDREQUEST_CH_
#define | _PORTABLESERVER_THREADPOLICY___PTR_CH_
#define | _PORTABLESERVER_THREADPOLICY___VAR_CH_
#define | _PORTABLESERVER_THREADPOLICY___OUT_CH_
#define | _PORTABLESERVER_THREADPOLICY_CH_
#define | _PORTABLESERVER_LIFESPANPOLICY___PTR_CH_
#define | _PORTABLESERVER_LIFESPANPOLICY___VAR_CH_
#define | _PORTABLESERVER_LIFESPANPOLICY___OUT_CH_
#define | _PORTABLESERVER_LIFESPANPOLICY_CH_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY___PTR_CH_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY___VAR_CH_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY___OUT_CH_
#define | _PORTABLESERVER_IDUNIQUENESSPOLICY_CH_
#define | _PORTABLESERVER_IDASSIGNMENTPOLICY___PTR_CH_
#define | _PORTABLESERVER_IDASSIGNMENTPOLICY___VAR_CH_
#define | _PORTABLESERVER_IDASSIGNMENTPOLICY___OUT_CH_
#define | _PORTABLESERVER_IDASSIGNMENTPOLICY_CH_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___PTR_CH_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___VAR_CH_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___OUT_CH_
#define | _PORTABLESERVER_IMPLICITACTIVATIONPOLICY_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY___PTR_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY___VAR_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY___OUT_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY_CH_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY___PTR_CH_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY___VAR_CH_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY___OUT_CH_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY_CH_
#define | _PORTABLESERVER_POAMANAGER___PTR_CH_
#define | _PORTABLESERVER_POAMANAGER___VAR_CH_
#define | _PORTABLESERVER_POAMANAGER___OUT_CH_
#define | _PORTABLESERVER_POAMANAGER_CH_
#define | _PORTABLESERVER_POAMANAGER_ADAPTERINACTIVE_CH_
#define | _PORTABLESERVER_ADAPTERACTIVATOR___PTR_CH_
#define | _PORTABLESERVER_ADAPTERACTIVATOR___VAR_CH_
#define | _PORTABLESERVER_ADAPTERACTIVATOR___OUT_CH_
#define | _PORTABLESERVER_ADAPTERACTIVATOR_CH_
#define | _PORTABLESERVER_SERVANTMANAGER___PTR_CH_
#define | _PORTABLESERVER_SERVANTMANAGER___VAR_CH_
#define | _PORTABLESERVER_SERVANTMANAGER___OUT_CH_
#define | _PORTABLESERVER_SERVANTMANAGER_CH_
#define | _PORTABLESERVER_SERVANTACTIVATOR___PTR_CH_
#define | _PORTABLESERVER_SERVANTACTIVATOR___VAR_CH_
#define | _PORTABLESERVER_SERVANTACTIVATOR___OUT_CH_
#define | _PORTABLESERVER_SERVANTACTIVATOR_CH_
#define | _PORTABLESERVER_SERVANTLOCATOR___PTR_CH_
#define | _PORTABLESERVER_SERVANTLOCATOR___VAR_CH_
#define | _PORTABLESERVER_SERVANTLOCATOR___OUT_CH_
#define | _PORTABLESERVER_SERVANTLOCATOR_CH_
#define | _PORTABLESERVER_POA_CH_
#define | _PORTABLESERVER_POA_ADAPTERALREADYEXISTS_CH_
#define | _PORTABLESERVER_POA_ADAPTERNONEXISTENT_CH_
#define | _PORTABLESERVER_POA_INVALIDPOLICY_CH_
#define | _PORTABLESERVER_POA_NOSERVANT_CH_
#define | _PORTABLESERVER_POA_OBJECTALREADYACTIVE_CH_
#define | _PORTABLESERVER_POA_OBJECTNOTACTIVE_CH_
#define | _PORTABLESERVER_POA_SERVANTALREADYACTIVE_CH_
#define | _PORTABLESERVER_POA_SERVANTNOTACTIVE_CH_
#define | _PORTABLESERVER_POA_WRONGADAPTER_CH_
#define | _PORTABLESERVER_POA_WRONGPOLICY_CH_
#define | _PORTABLESERVER_CURRENT___PTR_CH_
#define | _PORTABLESERVER_CURRENT___VAR_CH_
#define | _PORTABLESERVER_CURRENT___OUT_CH_
#define | _PORTABLESERVER_CURRENT_CH_
#define | _PORTABLESERVER_CURRENT_NOCONTEXT_CH_
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::ForwardRequest &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ForwardRequest &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::ThreadPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ThreadPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::LifespanPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::LifespanPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::IdUniquenessPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::IdUniquenessPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::IdAssignmentPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::IdAssignmentPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::ImplicitActivationPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ImplicitActivationPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::ServantRetentionPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ServantRetentionPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableServer::RequestProcessingPolicyValue &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::RequestProcessingPolicyValue &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

#define _PORTABLESERVER_ADAPTERACTIVATOR_CH_

#define _PORTABLESERVER_ADAPTERACTIVATOR___OUT_CH_

#define _PORTABLESERVER_ADAPTERACTIVATOR___PTR_CH_

#define _PORTABLESERVER_ADAPTERACTIVATOR___VAR_CH_

#define _PORTABLESERVER_CURRENT_CH_

#define _PORTABLESERVER_CURRENT_NOCONTEXT_CH_

#define _PORTABLESERVER_CURRENT___OUT_CH_

#define _PORTABLESERVER_CURRENT___PTR_CH_

#define _PORTABLESERVER_CURRENT___VAR_CH_

#define _PORTABLESERVER_FORWARDREQUEST_CH_

#define _PORTABLESERVER_IDASSIGNMENTPOLICY_CH_

#define _PORTABLESERVER_IDASSIGNMENTPOLICY___OUT_CH_

#define _PORTABLESERVER_IDASSIGNMENTPOLICY___PTR_CH_

#define _PORTABLESERVER_IDASSIGNMENTPOLICY___VAR_CH_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY_CH_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY___OUT_CH_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY___PTR_CH_

#define _PORTABLESERVER_IDUNIQUENESSPOLICY___VAR_CH_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY_CH_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___OUT_CH_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___PTR_CH_

#define _PORTABLESERVER_IMPLICITACTIVATIONPOLICY___VAR_CH_

#define _PORTABLESERVER_LIFESPANPOLICY_CH_

#define _PORTABLESERVER_LIFESPANPOLICY___OUT_CH_

#define _PORTABLESERVER_LIFESPANPOLICY___PTR_CH_

#define _PORTABLESERVER_LIFESPANPOLICY___VAR_CH_

#define _PORTABLESERVER_OBJECTID_CH_

#define _PORTABLESERVER_OBJECTID___OUT_CH_

#define _PORTABLESERVER_OBJECTID___VAR_CH_

#define _PORTABLESERVER_POALIST_CH_

#define _PORTABLESERVER_POALIST___OUT_CH_

#define _PORTABLESERVER_POALIST___VAR_CH_

#define _PORTABLESERVER_POAMANAGER_ADAPTERINACTIVE_CH_

#define _PORTABLESERVER_POAMANAGER_CH_

#define _PORTABLESERVER_POAMANAGER___OUT_CH_

#define _PORTABLESERVER_POAMANAGER___PTR_CH_

#define _PORTABLESERVER_POAMANAGER___VAR_CH_

#define _PORTABLESERVER_POA_ADAPTERALREADYEXISTS_CH_

#define _PORTABLESERVER_POA_ADAPTERNONEXISTENT_CH_

#define _PORTABLESERVER_POA_CH_

#define _PORTABLESERVER_POA_INVALIDPOLICY_CH_

#define _PORTABLESERVER_POA_NOSERVANT_CH_

#define _PORTABLESERVER_POA_OBJECTALREADYACTIVE_CH_

#define _PORTABLESERVER_POA_OBJECTNOTACTIVE_CH_

#define _PORTABLESERVER_POA_SERVANTALREADYACTIVE_CH_

#define _PORTABLESERVER_POA_SERVANTNOTACTIVE_CH_

#define _PORTABLESERVER_POA_WRONGADAPTER_CH_

#define _PORTABLESERVER_POA_WRONGPOLICY_CH_

#define _PORTABLESERVER_POA___OUT_CH_

#define _PORTABLESERVER_POA___PTR_CH_

#define _PORTABLESERVER_POA___VAR_CH_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY_CH_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY___OUT_CH_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY___PTR_CH_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY___VAR_CH_

#define _PORTABLESERVER_SERVANTACTIVATOR_CH_

#define _PORTABLESERVER_SERVANTACTIVATOR___OUT_CH_

#define _PORTABLESERVER_SERVANTACTIVATOR___PTR_CH_

#define _PORTABLESERVER_SERVANTACTIVATOR___VAR_CH_

#define _PORTABLESERVER_SERVANTLOCATOR_CH_

#define _PORTABLESERVER_SERVANTLOCATOR___OUT_CH_

#define _PORTABLESERVER_SERVANTLOCATOR___PTR_CH_

#define _PORTABLESERVER_SERVANTLOCATOR___VAR_CH_

#define _PORTABLESERVER_SERVANTMANAGER_CH_

#define _PORTABLESERVER_SERVANTMANAGER___OUT_CH_

#define _PORTABLESERVER_SERVANTMANAGER___PTR_CH_

#define _PORTABLESERVER_SERVANTMANAGER___VAR_CH_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY_CH_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY___OUT_CH_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY___PTR_CH_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY___VAR_CH_

#define _PORTABLESERVER_THREADPOLICY_CH_

#define _PORTABLESERVER_THREADPOLICY___OUT_CH_

#define _PORTABLESERVER_THREADPOLICY___PTR_CH_

#define _PORTABLESERVER_THREADPOLICY___VAR_CH_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_PORTABLESERVER_POALIST_CH_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::RequestProcessingPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::ServantRetentionPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::ImplicitActivationPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::IdAssignmentPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::IdUniquenessPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::LifespanPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::ThreadPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const PortableServer::ForwardRequest & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::RequestProcessingPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::ServantRetentionPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::ImplicitActivationPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::IdAssignmentPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::IdUniquenessPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::LifespanPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::ThreadPolicyValue & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| PortableServer::ForwardRequest & _tao_aggregate )